Will this OS work with old, non-PAE IBM laptop?

I've an old IBM laptop, model R51. Will this OS work in this laptop which is a non-PAE one? If you say "Yes", is there some special version of Elive that will work for me? Please state that special version's name. Thanks

Hallo @needsmusic,
In your case I'd try out Elive Stable 3.06 but running the graphics could be challenging with only 512Mb of RAM.... it all depends what you have in mind to use it for.
If that turns out to be the case, simply try one of the older 2.x versions until you think it'll be OK enough to use.